%global dist_version 0.1.1

%global provider github
%global provider_tld com
%global project opencontainers
%global repo runc
%global import_path %{provider}.%{provider_tld}/%{project}/%{repo}

#debuginfo not supported with Go
%global gopath  %{_libdir}/golang
%define gosrc %{gopath}/src/pkg/%{import_path}

Name:           %{project}-%{repo}
Version:        %{dist_version}
Release:        1
Summary:        Runc container cli tools
License:        ASL 2.0
Group:		System/Kernel and hardware

URL:            http://www.docker.com
Source0:        https://%{import_path}/archive/v%{dist_version}.tar.gz

BuildRequires:  gcc
BuildRequires:  glibc-static-devel

# ensure build uses golang 1.4 or above
BuildRequires:  golang >= 1.4

%description
runc is a CLI tool for spawning and running containers according
to the OCI specification.

Cf: https://www.opencontainers.org/

%prep
%setup -q -n %{repo}-%{dist_version}

%build
export GOPATH=$(pwd)/Godeps/_workspace:%{gopath}
make BUILDTAGS=""

%install
# install binary
install -d %{buildroot}%{_bindir}
install -p -m 755 runc %{buildroot}%{_bindir}
cd %{buildroot}%{_bindir}
for i in *; do
	ln -sf $i docker-$i
done

%files
%doc CONTRIBUTING.md LICENSE MAINTAINERS* NOTICE PRINCIPLES.md README.md 
%{_bindir}/*



%changelog

* Fri Jun 17 2016 Denis Silakov <dsilakov@gmail.com> 0.1.1-1
- (ca9c119) Imported from SRPM


